OaIdl.VARKIND (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: VARKIND

Package com.sun.jna.platform.win32

# Class OaIdl.VARKIND

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.VARKIND

Direct Known Subclasses:
  `OaIdl.VARKIND.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("value") public static class OaIdl.VARKIND extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.VARKIND.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `value`
  `static final int`
  `VAR_CONST`
  `static final int`
  `VAR_DISPATCH`
  `static final int`
  `VAR_PERINSTANCE`
  `static final int`
  `VAR_STATIC`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VARKIND()`
  `VARKIND(int value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VAR_PERINSTANCE

    public static final int VAR_PERINSTANCE
    See Also:
      - Constant Field Values

  - ### VAR_STATIC

    public static final int VAR_STATIC
    See Also:
      - Constant Field Values

  - ### VAR_CONST

    public static final int VAR_CONST
    See Also:
      - Constant Field Values

  - ### VAR_DISPATCH

    public static final int VAR_DISPATCH
    See Also:
      - Constant Field Values

  - ### value

    public int value

- ## Constructor Details

  - ### VARKIND

    public VARKIND()

  - ### VARKIND

    public VARKIND(int value)